Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.internal.l10n
Class DiagramUIPropertiesImages

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.properties.internal.l10n.DiagramUIPropertiesImages

    public class DiagramUIPropertiesImages

extends java.lang.Object

Bundle of all images used by this plugin. Image descriptors can be retrieved by referencing the public image descriptor variable directly. The public strings represent images that will be cached and can be retrieved using `get(String)`.

Field Summary
`static ImageDescriptor` `DESC_BOLD`
`static ImageDescriptor` `DESC_FILL_COLOR` Image descriptors.
`static ImageDescriptor` `DESC_FONT_COLOR`
`static ImageDescriptor` `DESC_ITALIC`
`static ImageDescriptor` `DESC_LINE_COLOR`
`static java.lang.String` `IMG_BOLD`
`static java.lang.String` `IMG_FILL_COLOR` Images that will be cached and can be retrieved using `get(String)`.
`static java.lang.String` `IMG_FONT_COLOR`
`static java.lang.String` `IMG_ITALIC`
`static java.lang.String` `IMG_LINE_COLOR`

Constructor Summary
`DiagramUIPropertiesImages()`

Method Summary
`static Image` `get(java.lang.String imageName)` Gets an image from the image registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_FILL_COLOR

    public static final java.lang.String IMG_FILL_COLOR

  Images that will be cached and can be retrieved using `get(String)`.

  See Also:
    Constant Field Values

### IMG_BOLD

    public static final java.lang.String IMG_BOLD

See Also:
  Constant Field Values

### IMG_ITALIC

    public static final java.lang.String IMG_ITALIC

See Also:
  Constant Field Values

### IMG_FONT_COLOR

    public static final java.lang.String IMG_FONT_COLOR

See Also:
  Constant Field Values

### IMG_LINE_COLOR

    public static final java.lang.String IMG_LINE_COLOR

See Also:
  Constant Field Values

### DESC_FILL_COLOR

    public static final ImageDescriptor DESC_FILL_COLOR

  Image descriptors.

### DESC_BOLD

    public static final ImageDescriptor DESC_BOLD

### DESC_ITALIC

    public static final ImageDescriptor DESC_ITALIC

### DESC_FONT_COLOR

    public static final ImageDescriptor DESC_FONT_COLOR

### DESC_LINE_COLOR

    public static final ImageDescriptor DESC_LINE_COLOR

Constructor Detail

### DiagramUIPropertiesImages

    public DiagramUIPropertiesImages()

Method Detail

### get

    public static Image get(java.lang.String imageName)

  Gets an image from the image registry. This image should not be disposed of, that is handled in the image registry. The image descriptor must have previously been cached in the image registry. The cached images for the public image names defined in this file can be retrieved using this method.

  Parameters:
    `imageName` - the full filename of the image
  Returns:
    the image or null if it has not been cached in the registry

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.